/**
 *  Link.java 
 *
 *@author     Takeshi Yamada 
 *@created    2000/09/08 
 */
public class Link extends FileNode {

	private FileNode linkNode;

	public Link(String name, FileNode linkNode) {
		super(name);
		setLinkNode(linkNode);
	}

	public void setLinkNode(FileNode linkNode) {
		this.linkNode = linkNode;
	}

	public FileNode getChild(int index) {
		return linkNode.getChild(index);
	}

	public int getIndexOfChild(FileNode child) {
		return linkNode.getIndexOfChild(child);
	}

	public int getChildCount() {
		return linkNode.getChildCount();
	}

	public void addChild(FileNode fileNode) {
		linkNode.addChild(fileNode);
	}

	public void removeChild(FileNode fileNode) {
		linkNode.removeChild(fileNode);
	}

	public FileNode copy() {
		return new Link(name, linkNode);
	}

}
// Link
